# Flat file feeds

### Supported feed types

The feed transformer library has support for these deprecated flat file feed types:

* `POST_FLAT_FILE_INVLOADER_DATA`
* `POST_FLAT_FILE_PRICEANDQUANTITYONLY_UPDATE_DATA`
* `POST_FLAT_FILE_LISTINGS_DATA`

We're working on support for these feed types:

* `POST_FLAT_FILE_CONVERGENCE_LISTINGS_DATA`
* `POST_FLAT_FILE_BOOKLOADER_DATA`
* `POST_UIEE_BOOKLOADER_DATA`

If you need support for one of the feed types that is still in development, [let us know](mailto:hi@highsidelabs.co) and we'll prioritize it.<br>

### Common required parameters&#x20;

All flat file feed types require an extra `merchantId` parameter to be passed to the converter methods. You can find your region-specific Amazon merchant ID [here](https://sellercentral.amazon.com/sw/AccountInfo/MerchantToken/step/MerchantToken).

{% hint style="info" %}
(If you primarily sell outside the US and that merchant ID link doesn't work for you, try copying it and replacing `sellercentral.amazon.com` with the Seller Central URL that you usually use.)
{% endhint %}

Here's how to pass the merchant id:

```php
use SellingPartnerApi\FeedTransformer\Transformer;
use SellingPartnerApi\FeedTransformer\FeedTypes\Invloader;

$feedFile = 'path/to/your/feed.tab';
$json = Transformer::fromFile(
    Invloader::$feedType,  // -> POST_FLAT_FILE_INVLOADER_DATA
    $feedFile,
    'ATVPDKIKX0DER',
    ['merchantId' => 'A2DI..........']
);

$jsonFeedPath = 'path/to/new/feed.json';
file_put_contents($jsonFeedPath, json_encode($json));
```

Check the documentation pages for the specific feed type(s) you're working with to see if you need to pass other feed-type-specific parameters.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.highsidelabs.co/feed-transformer/feed-types/tab.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
